Oore CI

Rename a signing identity or replace its material

Rename a signing identity or replace its material

Operation IDupdate_signing_identity
PATCH
/v1/projects/{project_id}/signing-identities/{identity_id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string

Project ID

identity_id*string

Identity ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Rename an identity, or replace its material (the whole input for its kind).

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/projects/string/signing-identities/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "identity": {    "created_at": 0,    "expires_at": 0,    "export_method": null,    "filename": "string",    "id": "string",    "key_alias": "string",    "kind": "android_keystore",    "name": "string",    "profiles": [      {        "bundle_id": "string",        "expires_at": 0,        "profile_name": "string",        "profile_uuid": "string"      }    ],    "project_id": "string",    "team_id": "string",    "updated_at": 0,    "used_by": [      {        "pipeline_id": "string",        "pipeline_name": "string",        "workflow": "string"      }    ]  }}